# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
#%config Completer.use_jedi = False

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
# -*- coding: utf-8 -*-
import dataiku
import pandas as pd, numpy as np
from dataiku import pandasutils as pdu
import pm4py
from io import StringIO

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
# Read recipe inputs
logs = dataiku.Folder("kuf1NW7K")
log_file = logs.list_paths_in_partition()[0]

with logs.get_download_stream(log_file) as f:
    data = f.read()

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
if log_file[-3:] == 'csv':
    workflow = pd.read_csv(StringIO(str(data, 'utf-8')))
elif log_file[-3:] == 'xes':
    from pm4py.objects.log.importer.xes.variants.iterparse import import_from_string
    logs_csv = import_from_string(data)
    workflow = pm4py.convert_to_dataframe(logs_csv)
else:
    raise ValueError('workflow_file_format supported are csv and xes only')

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
# Write recipe outputs
workflow_parsed = dataiku.Dataset("workflow_parsed")
workflow_parsed.write_with_schema(workflow)