Log files are often made up of heterogeneous data points that can be generated from employee actions (e.g. completion of a task), system automatic tasks (e.g. alert generation), or external actions (e.g. customer sending a request). Standard formats for log files include:

- [XES format](https://xes-standard.org/): widely documented in the process mining community, although not as simple as CSV.
- CSV format: a very common and straightforward data format.

Log files may come from multiple sources and preparation is often needed to create the final file that will be analyzed. 

A trace is a sequence of steps (or events, or activities) associated with one process execution from start to end. The data is an entangled stack of traces, in which each trace is identified via a unique id.

# Data Model

The logs that are taken as input for the process mining analysis must contain the following fields:

-  **Case Id** : the unique identifier of a trace.
-  **Activity** : a step in the process. Depending on the use case, it can be interpreted as an action or a state, or a mix of both.
-  **Timestamp** : the timestamp for the activity. It could be the timestamp of an event, or the start time / end time of an activity.

Some optional attributes are often added to enrich the analysis, including:

-  **Resource** : the person or cost center that executed the action. It could be defined at a case level or at an activity level
-  **Numerical Attribute** : any external numerical information about the case. Examples of numerical attributes are the claim amount for a claim process, a loan amount for a loan application process, or an invoice amount for an accounts payable process.
-  **Categorical Attribute** : any external categorical information about the case. Examples of categorical attributes are a type of claim for a claim process, a type of loan for a loan application process, or a type of supplier for an accounts payable process.
