In this zone, various statistics are precomputed to then be displayed in the [webapp](article:8) and additional metrics are computed to create filters.

![Workflow Statistics.png](l1BMluQKODmr)

 1. In the first thread going to the [activity_count](dataset:activity_count) dataset, we compute the share of traces where each activity is present. In the first grouping recipe, we group by activity and case to remove duplicates, and in the second we group by activity. As a result we get the number of traces where each activity is present.

 2. The second thread contains a [python recipe](recipe:compute_process) that mines the workflow and outputs the start and end activities in the [start_end](dataset:start_end) dataset. It will be used to create the selection lists for start and end activities in the webapp.

 3. A simple grouping recipe outputs the minimum and maximum dates in the [timeframe](dataset:timeframe) dataset to define the bounds of the webapp time selectors.

 4. Another thread generates statistics about the transitions. A [windows recipe](recipe:compute_transitions) computes the lead and lag activities for each activity within each case, along with the transition time from one activity to the next. Start activities are filtered in the [start_events](dataset:start_events) dataset by isolating all activities that don't have predecessors. These start transitions are stacked with the others to have the same format for all transitions. Finally, statistics are computed using the two grouping recipes to first compute statistics within cases and then aggregated on all cases. Min, max, average, and count are outputted and cleaned via the final prepared recipe to obtain the [transitions_frequency_share_prepared](dataset:transitions_frequency_share_prepared) dataset that will be used to display transitions information in the webapp.

 5. In the final thread, we compute the performance per case, which is defined as the time elapsed between the start and the end of the case. First, a timestamp is created from the timestamp column in the dataset that is in a Date format using a [prepare recipe](recipe:compute_workflow_timestamp). Then in the [grouping recipe](recipe:compute_workflow_case_performance) a custom aggregation is defined to compute the difference between the max timestamp and the min timestamp. The [output dataset](dataset:workflow_case_performance) is used to create the case performance filter in the webapp.
